import db from "@/utils/db";
import { NextRequest, NextResponse } from "next/server";

export async function GET(
	req: NextRequest,
	{ params }: { params: { id: string } }
) {
	const order = await db.order.findUnique({
		where: { id: params.id },
		select: {
			id: true,
			createdAt: true,
			customer: {
				select: {
					id: true,
					name: true,
					phone: true,
					address: true,
					town: true,
				},
			},
			orderItems: {
				select: {
					id: true,
					productId: true,
					quantity: true,
					sellingPrice: true,
					createdAt: true,
				},
			},
		},
	});
	if (!order) {
		return NextResponse.json({ error: "Order not found" }, { status: 404 });
	} else {
		return NextResponse.json(order, { status: 200 });
	}
}
